Aex Brain
ReferenceAPI

Call an environment method

POST/v1/sessions/{session_id}/environments/{environment}/calls/{name}

Authorization

serverToken
AuthorizationBearer <token>

The server's BRAIN_API_TOKEN, sent as Authorization: Bearer . Required for application API calls when configured; optional only on a loopback server started without a token.

In: header

Path Parameters

session_id*string
Match^ses_[A-Za-z0-9]{20,32}$
environment*string
Match^[A-Za-z0-9][A-Za-z0-9._:-]{0,127}$
name*string
Match^[A-Za-z0-9][A-Za-z0-9._:-]{0,127}$

Header Parameters

Idempotency-Key*string
Length1 <= length <= 256

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/sessions/string/environments/string/calls/string" \  -H "Idempotency-Key: string" \  -H "Authorization: Bearer YOUR_TOKEN" \  -H "Content-Type: application/json" \  -d '{    "input": true  }'
{  "output": true}